/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package config

import "github.com/spf13/viper"

type ServiceConfig struct {
	Name         string
	Backend      string
	ConfigValues map[string]any
}

func (c *ServiceConfig) Save() error {
	key := "service." + c.Name
	viper.Set(key+".backend", c.Backend)
	for k, v := range c.ConfigValues {
		viper.Set(key+"."+k, v)
	}
	return viper.WriteConfig()
}
